Subject: Re: bug#23288: 25.0.92; Clicking on links inserts primary X selection

From: Philipp Stephani <[email-masked]>
Date: Sat, 16 Apr 2016 13:36:35 +0000

Nils Berg <[email-masked]> schrieb am Do., 14. Apr. 2016 um 19:18 Uhr:

> I've tracked down the bug to mouse--down-1-maybe-follows-link too, but
> don't think read-event is the culprit here.
>
> Rather, mouse--down-1-maybe-follows-link discards the result of
> mouse-on-link-p, which contains the event a click is supposed to be
> translated into. Instead, it just replaces the mouse event with mouse-2 if
> mouse-on-link-p returns non-nil.
>

I've attached a patch that should fix this. According to the documentation
of mouse-on-link-p no such translation should happen if the return value is
a string or vector.